DefaultProbKey Class Reference

`#include <ql/experimental/credit/defaultprobabilitykey.hpp>`

Inheritance diagram for DefaultProbKey:
[legend]

## Public Member Functions

| DefaultProbKey (const std::vector< ext::shared_ptr< DefaultType > > &eventTypes, const Currency &cur, Seniority sen)
const Currency & | currency () const
Seniority | seniority () const
const std::vector< ext::shared_ptr< DefaultType > > & | eventTypes () const
Size | size () const

## Protected Attributes

std::vector< ext::shared_ptr< DefaultType > > | eventTypes_
| aggregation of event types for which the contract is sensitive.
Currency | obligationCurrency_
| Currency of the bond and protection leg payment.
Seniority | seniority_
| Reference bonds seniority.

## Detailed Description

Used to index market implied credit curve probabilities. It is a proxy to the defaultable bond or class of bonds which determines the credit contract conditions. It aggregates the atomic default types in a group defining the contract conditions and which serves to index the probability curves calibrated to the market.